package com.example.vahid.myapplication;

import android.content.Intent;
import android.graphics.Color;
import android.os.CountDownTimer;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class CounterActivity extends AppCompatActivity {

    CountDownTimer myTimer;
    int second;
    TextView mytext;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_counter);
        mytext=findViewById(R.id.textView2);
        Intent myIntent=getIntent();
        second=myIntent.getIntExtra("StartingNumber",0);

        myTimer=new CountDownTimer(second*1000,1000) {
            @Override
            public void onTick(long millisUntilFinished) {
                second--;
                mytext.setText(second+"\n");
            }

            @Override
            public void onFinish() {
                mytext.setTextColor(Color.RED);
            }
        };
        myTimer.start();
    }

    public void stop(View v){
        myTimer.cancel();
        Intent myint=new Intent();
        myint.putExtra("Remain",second);
        setResult(RESULT_OK,myint);
        finish();
    }
}
